Class MembersRequestBuilder
- Assembly
- Keycloak.AuthServices.Sdk.Kiota.dll
Builds and executes requests for operations under \admin\realms{realm}\organizations{org-id}\members
public class MembersRequestBuilder : BaseRequestBuilder
- Inheritance
-
BaseRequestBuilderMembersRequestBuilder
- Inherited Members
-
BaseRequestBuilder.PathParametersBaseRequestBuilder.RequestAdapterBaseRequestBuilder.UrlTemplate
Constructors
MembersRequestBuilder(Dictionary<string, object>, IRequestAdapter)
Instantiates a new MembersRequestBuilder and sets the default values.
public MembersRequestBuilder(Dictionary<string, object> pathParameters, IRequestAdapter requestAdapter)
Parameters
pathParametersDictionary<string, object>Path parameters for the request
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
MembersRequestBuilder(string, IRequestAdapter)
Instantiates a new MembersRequestBuilder and sets the default values.
public MembersRequestBuilder(string rawUrl, IRequestAdapter requestAdapter)
Parameters
rawUrlstringThe raw URL to use for the request builder.
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
Properties
Count
The count property
public CountRequestBuilder Count { get; }
Property Value
InviteExistingUser
The inviteExistingUser property
public InviteExistingUserRequestBuilder InviteExistingUser { get; }
Property Value
InviteUser
The inviteUser property
public InviteUserRequestBuilder InviteUser { get; }
Property Value
this[string]
Gets an item from the Keycloak.AuthServices.Sdk.Kiota.Admin.admin.realms.item.organizations.item.members.item collection
public MemberItemRequestBuilder this[string position] { get; }
Parameters
positionstringUnique identifier of the item
Property Value
Methods
GetAsync(Action<RequestConfiguration<MembersRequestBuilderGetQueryParameters>>?, CancellationToken)
Returns a paginated list of organization members filtered according to the specified parameters
public Task<List<MemberRepresentation>?> GetAsync(Action<RequestConfiguration<MembersRequestBuilder.MembersRequestBuilderGetQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)
Parameters
requestConfigurationAction<RequestConfiguration<MembersRequestBuilder.MembersRequestBuilderGetQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
cancellationTokenCancellationTokenCancellation token to use when cancelling requests
Returns
- Task<List<MemberRepresentation>>
A List<global::Keycloak.AuthServices.Sdk.Kiota.Admin.Models.MemberRepresentation>
PostAsync(string, Action<RequestConfiguration<DefaultQueryParameters>>?, CancellationToken)
Adds, or associates, an existing user with the organization. If no user is found, or if it is already associated with the organization, an error response is returned
public Task PostAsync(string body, Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)
Parameters
bodystringThe request body
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
cancellationTokenCancellationTokenCancellation token to use when cancelling requests
Returns
ToGetRequestInformation(Action<RequestConfiguration<MembersRequestBuilderGetQueryParameters>>?)
Returns a paginated list of organization members filtered according to the specified parameters
public RequestInformation ToGetRequestInformation(Action<RequestConfiguration<MembersRequestBuilder.MembersRequestBuilderGetQueryParameters>>? requestConfiguration = null)
Parameters
requestConfigurationAction<RequestConfiguration<MembersRequestBuilder.MembersRequestBuilderGetQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
Returns
- RequestInformation
A Microsoft.Kiota.Abstractions.RequestInformation
ToPostRequestInformation(string, Action<RequestConfiguration<DefaultQueryParameters>>?)
Adds, or associates, an existing user with the organization. If no user is found, or if it is already associated with the organization, an error response is returned
public RequestInformation ToPostRequestInformation(string body, Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null)
Parameters
bodystringThe request body
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
Returns
- RequestInformation
A Microsoft.Kiota.Abstractions.RequestInformation
WithUrl(string)
Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
public MembersRequestBuilder WithUrl(string rawUrl)
Parameters
rawUrlstringThe raw URL to use for the request builder.